Bug 583785 - Totem playback fails with Pulseaudio: pa_stream_writable_size_failed
Totem playback fails with Pulseaudio: pa_stream_writable_size_failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 13:52 EDT by Ulrich Hobelmann
Modified: 2011-06-27 11:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
messages log from bug 587286 (52 bytes, text/plain)
2010-06-20 03:41 EDT, pierpaolo.franco
no flags Details

  None (edit)
Description Ulrich Hobelmann 2010-04-19 13:52:14 EDT
Description of problem:
Whenever I try to play a video file (any format, including ogv/Theora), the first few seconds play too fast with no sound, then I get a popup notice saying that "pa_stream_writable_size() failed: connection terminated" and playback stops.

Version-Release number of selected component (if applicable):
Totem 2.30.0.2.fc13
pulseaudio 0.9.21.6.fc13
the whole system is F13 (installed from beta live DVD) with all current updated applied.
System is a Samsung NC10 netbook. Maybe the different processes involved are too slow on this slow machine to get in sync.

How reproducible:
See above, start a video file on a slow machine (for instance, the 170M Patent Absurdity file).
  
Actual results:
Playback fails.

Expected results:
Videos starts playing.
Comment 1 Ulrich Hobelmann 2010-04-20 06:16:18 EDT
Note: I'm not sure if this is related to the good-plugins. It occurs with Theora, but also with xvid/avi files, which are somewhere in the -bad or -ugly area.

One Xvid/avi file actually played fine, though, not sure why.

Seeking to the middle of the video right after clicking play sometimes manages to get the player in sync, and by then seeking back to 0:10 or so, sometimes the file can be played (just not by seeking back to 0:00, which will again kill the connection).
Comment 2 Benjamin Otte 2010-04-21 09:26:52 EDT
Could you try looking at the CPU usage? (I do that by having a system manager applet in my panel) I suspect it's not very high, but might be nice to know.

I also wonder if that file played fine because it used a different audio format. Could you figure out (by for example looking into totem's properties for the AVI files you use) if the AVI files that work for you have different formats from the ones that don't?
Comment 3 Ulrich Hobelmann 2010-04-21 13:17:05 EDT
As soon as I click play, CPU usage spikes against 100% (and the "second core" of the hyperthreaded Atom joins in). This is different in the video that works, but then that video starts slowly, with a black screen and no sound in the first few seconds.

Comparing the avi file that works against one that doesn't, there are not many differences (except maybe that the working one starts slowly, see above). Both are XVID MPEG-4 at 24 frames. The working one has slightly higher resolution. Both use MP3 audio, stereo, 48KHz, 128kbps. The working one is also longer.

The working file has a "Duration" in the Nautilus properties window, in the audio/video tab. The non-working files show "0 seconds", both the avi and the ogv.

Maybe it's just a race condition that's easy to trigger on a slow machine. I recall that I also observed this problem a few weeks ago, when I was still running F12, but not sure if the same files were affected.  Before then, though, I never observed the problem, even on F12.

So I guess it's a regression in a newer version of pulseaudio, totem, gstreamer, or some of its plugins.
Comment 4 Misha Shnurapet 2010-05-22 14:28:20 EDT
$ totem file.avi 
No accelerated IMDCT transform found
No accelerated IMDCT transform found
** Message: Error: pa_stream_writable_size() failed: Connection terminated
pulsesink.c(1388): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin3/GstAutoAudioSink:autoaudiosink2/GstPulseSink:autoaudiosink2-actual-sink-pulse

The avi has 5.1 AC3 sound. More to that, none of the videos I have worked.

totem-2.28.5-1.fc12.i686
alsa-plugins-pulseaudio-1.0.22-1.fc12.i686
pulseaudio-0.9.21-5.fc12.i686

And it seems to be loading a new instance of pulseaudio, at least after a couple of tries I can see many pulseaudio processes in the GNOME system monitor.

The CPU usage jumps to 100% on both threads of my Atom for a moment.

Freshly installed and updated Fedora 12 from a LiveCD media.
Comment 5 Misha Shnurapet 2010-05-22 14:38:11 EDT
(In reply to comment #4)
> And it seems to be loading a new instance of pulseaudio, at least after a
> couple of tries I can see many pulseaudio processes in the GNOME system
> monitor.

It only did once. Now it actually kills the only instance of pulseaudio making it restart.
Comment 7 Fedora Admin XMLRPC Client 2010-06-03 14:00:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 pierpaolo.franco 2010-06-20 03:41:12 EDT
I reported on a similar issue (i think) on bug 587286, actually someone are claiming a pulseaudio bug there, but i'm wondering if it's not an issue with ext4, never seeing it on ext3.
Comment 9 pierpaolo.franco 2010-06-20 03:41:55 EDT
Created attachment 425420 [details]
messages log from bug 587286
Comment 10 pierpaolo.franco 2010-06-20 03:44:11 EDT
(In reply to comment #9)
> Created an attachment (id=425420) [details]
> messages log from bug 587286    

Sorry, attachment doesn't work in that style... my fault:
https://bugzilla.redhat.com/show_bug.cgi?id=587286
Comment 11 Misha Shnurapet 2010-09-18 02:04:46 EDT
$ totem file.avi 
No accelerated IMDCT transform found
No accelerated IMDCT transform found
** Message: Error: pa_stream_writable_size() failed: Connection terminated
pulsesink.c(1544): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

** Message: Error: Disconnected: Connection terminated
pulsesink.c(290): gst_pulsering_is_dead (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

** Message: Error: pa_stream_cork() failed: Connection terminated
pulsesink.c(912): gst_pulsering_set_corked (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

** Message: Error: Disconnected: Connection terminated
pulsesink.c(290): gst_pulsering_is_dead (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

AC-3

totem-2.30.2-1.fc13.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64
pulseaudio-0.9.21-6.fc13.x86_64
Comment 12 David Nielsen 2011-04-04 06:05:01 EDT
I believe that the patch mentioned in this bug report would greatly improve the situation in this case:

https://bugzilla.redhat.com/show_bug.cgi?id=693308
Comment 13 Bug Zapper 2011-06-02 11:05:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 11:44:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.